/**
 *   File: i_vmedevice.h
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#ifndef CIEMATCMSI_VMEDEVICE_H
#define CIEMATCMSI_VMEDEVICE_H

#include "cmsexception.h"

namespace CiematCMS {

/**
 * @author J.M. <josemanuel.cela@ciemat.es>
 */
class I_VMEDevice{

  public:
    I_VMEDevice();
    virtual ~I_VMEDevice();

    virtual void write(string offset, unsigned long valor)
        throw (CMSException)=0;

    virtual void read(string offset, unsigned long *valor)
        throw (CMSException)=0;
};

}

#endif
