/**
 *   File: i_vmedevice.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "i_vmedevice.h"

namespace CiematCMS {

I_VMEDevice::I_VMEDevice(I_ConfigTree &configTree, int addRelative)
  : configTree(configTree)
{
  this->VMEAddressRelative = addRelative;
}

I_VMEDevice::~I_VMEDevice(){
}

//**********************************************************
//*********** MTODOS GET Y SET **************
//**********************************************************
void I_VMEDevice::setVMEAddRelative(int address){
  VMEAddressRelative= address;
}

int I_VMEDevice::getVMEAddRelative(void){
  return VMEAddressRelative;
}

//**********************************************************
//*********** MTODOS PROTEGIDOS **************
//**********************************************************
int I_VMEDevice::convertAddress2LINCO(string VMEAddressOffset){

  int offset = NString(configTree.getKeyValue(VMEAddressOffset)).\
      convert2Int();

  DEFLOGTRACE(
      NString("I_VMEDevice::convertAddress2LINCO: convertimos offset: ").
      nAppend("%i", offset).sAppend(" y base: ").
      nAppend("%i", VMEAddressRelative));

  return (VMEAddressRelative + offset);
}

}
