/**
 *   File: vmedevicedummy.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "vmedevicedummy.h"

namespace CiematCMS {
//**********************************************************
//*********** CONSTRUCTORES Y DESTRUCTORES **************
//**********************************************************
VMEDeviceDummy::VMEDeviceDummy(I_ConfigTree &configTree,
                     int VMEBaseAddress, int addRelative)
    : I_VMEDevice(configTree, addRelative)
{
  this->VMEBaseAddress= VMEBaseAddress;

  DEFLOGINFO(NString("Creamos un VMEDevice. Base: ").
      nAppend("%i", getVMEBaseAddress() ));
}

VMEDeviceDummy::~VMEDeviceDummy() {
  DEFLOGINFO("Destruimos un VMEDevice");
}

int VMEDeviceDummy::getVMEBaseAddress(void){
  return VMEBaseAddress;

}

void VMEDeviceDummy::setVMEBaseAddress(int add){
  VMEBaseAddress = add;
}


//**********************************************************
//*********** MTODOS PBLICOS **************
//**********************************************************
void VMEDeviceDummy::write(string offset, unsigned long valor)
    throw (CMSException)
{
  DEFLOGTRACE(NString("VMEDevice.write: escribimos en address-> ").\
    sAppend(offset).sAppend(" el valor: ").nAppend("%#X", valor));

  int valor2 = convertAddress2LINCO(offset) + VMEBaseAddress;

  // vmeController.WriteLong(convertAddress2LINCO(offset), valor);
  /*vmeController.WriteWord(convertAddress2LINCO(offset),
                          (unsigned short)valor);*/
}

void VMEDeviceDummy::read(string offset, unsigned long *valor)
    throw (CMSException)
{
  DEFLOGTRACE(NString("VMEDevice.read: leemos del address-> ").\
      sAppend(offset));

    int valor2 = convertAddress2LINCO(offset) + VMEBaseAddress;

  // *valor = vmeController.ReadLong(convertAddress2LINCO(offset));
  //*valor = vmeController.ReadWord(convertAddress2LINCO(offset));

  DEFLOGTRACE(NString("ROSCard.readVME: byte leido-> ").\
    nAppend("%#X", *valor));
}

}
