/**
 *   File: dallas_1wireslave.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "dallas_1wireslave.h"

namespace CiematCMS {

Dallas_1WireSlave::Dallas_1WireSlave(I_OneWireMaster &master)
  : I_OneWireSlave(master) {
}

Dallas_1WireSlave::~Dallas_1WireSlave() {
}

/**
 * \fn Dallas_1WireSlave::skipRom(void)
 */
void Dallas_1WireSlave::skipRom(void) {
    master1W.write1WByte(SKIP_ROM);
}

/**
 * \fn Dallas_1WireSlave::matchRom(void) throw (CMSException)
 */
void Dallas_1WireSlave::matchRom(void) throw (CMSException) {
  /** Esta sin construir por lo que mandamamos una generosa
   * excepcion si lo invocan
   */
  throw (CMSException(
    "Dallas_1WireSlave::matchRom(void)",
    "!! CAGADA: Metodo sin desarrollar !!", 0)
    );
}

}
