/**
 *   File: logger.h
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#ifndef CIEMATCMSLOGGER_H
#define CIEMATCMSLOGGER_H

#include <string>

using namespace std;

namespace CiematCMS {

/**
	@author J.M. <josemanuel.cela@ciemat.es>
*/
class Logger{

  public:
    Logger(string name);
    ~Logger();

    enum LOG_LEVELS {
      LOG_LEVEL_TRACE,
      LOG_LEVEL_DEBUG,
      LOG_LEVEL_INFO,
      LOG_LEVEL_WARN,
      LOG_LEVEL_ERROR,
      LOG_LEVEL_FATAL,
      LOG_LEVEL_ALL,
      LOG_LEVEL_OFF
    };

    void setLevel(LOG_LEVELS level);
    LOG_LEVELS getLevel (void);
    // Aada un mensaje con nivel DEBUG,
    void debug (void);

  protected:
    bool showLogName, showDateTime;
    LOG_LEVELS currentLogLevel;

  private:
    string logName;
};

}

#endif
