/**
 *   File: pca9516.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "pca9516.h"

namespace CiematCMS {

//**********************************************************
//*********** CONSTRUCTORES Y DESTRUCTORES **************
//**********************************************************
PCA9516::PCA9516(I_I2CMaster &master)
 : I_I2CMaster(), I_I2CSlave(master)
{
}

PCA9516::~PCA9516() {
}

//**********************************************************
//*********** MTODOS PBLICOS **************
//**********************************************************
void PCA9516::readI2CBytes(unsigned char* datos,
                           unsigned int bytesNumber)
      throw (CMSException)
{
  masterI2C.readI2CBytes(datos, bytesNumber);
}

void PCA9516::writeI2CBytes(unsigned char* datos,
                            unsigned int bytesNumber)
      throw (CMSException)
{
  masterI2C.writeI2CBytes(datos, bytesNumber);
}

}
