/**
 *   File: timegeneral.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "timegeneral.h"

namespace CiematCMS {

//**********************************************************
//*********** CONSTRUCTORES Y DESTRUCTORES **************
//**********************************************************
TimeGeneral::TimeGeneral(){
}

TimeGeneral::~TimeGeneral(){
}

//**********************************************************
//*********** MTODOS PBLICOS **************
//**********************************************************
void TimeGeneral::getActualTime(struct timeval* time){
    gettimeofday (time, NULL);
}

std::string TimeGeneral::getActualTime(void){
  string cadenaAux="";
  time_t t;

  time (&t);
  cadenaAux+=ctime(&t);
  return cadenaAux;
}

long int TimeGeneral::utimeElapsed (struct timeval* initialTime){
  struct timeval actualTime;
  long int diferencia= 0;

  gettimeofday (&actualTime, NULL);

  diferencia= (actualTime.tv_sec - initialTime->tv_sec) * 1000000 + 
      (actualTime.tv_usec - initialTime->tv_usec);

  return diferencia;
}

}
