/**
 *   File: roscard.h
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#ifndef CIEMATCMSROSCARD_H
#define CIEMATCMSROSCARD_H

#include <i_vmemaster.h>
#include "VMEDevice.hh"

using namespace HAL;
using namespace std;

namespace CiematCMS {

/**
	@author J.M. <josemanuel.cela@ciemat.es>
*/
class ROSCard : public I_VMEMaster {

  public:
    ROSCard(VMEDevice &deviceIn);
    ~ROSCard();

    void writeVME (string vmeAdd, unsigned char byte)
        throw (CMSException);
    void readVME (string vmeAdd, unsigned char* byte)
        throw (CMSException);

    /* Da las ordenes adecuadas a la FPGA para que se pueda
    acceder a los sensores en vez de al GOL */
    void habilitarSensores (void) throw (CMSException);

  private:
    VMEDevice &device;
};

}

#endif
