/**
 *   File: timegeneral.h
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#ifndef TIMEOPER_H
#define TIMEOPER_H

#include <sys/time.h>
#include <cstdlib>

/**
@author J.M.
*/
namespace CiematCMS {

class TimeGeneral {

  public:
    TimeGeneral();
    ~TimeGeneral();

    /**
     * Devuelve el tiempo transcurrido desde el "initialTime" hasta
     * el momento actual, medido en microsegundos
     */
    void getActualTime(struct timeval* time);
    long int utimeElapsed(struct timeval* initialTime);
};

}
#endif
