/**
 *   File: vmedevicedummy.h
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#ifndef CIEMATCMSVMEDEVICEDUMMY_H
#define CIEMATCMSVMEDEVICEDUMMY_H

#include "cmsexception.h"
#include "logger.h"
#include "nstring.h"
#include "i_vmedevice.h"

namespace CiematCMS {

/**
	@author J.M. <josemanuel.cela@ciemat.es>
*/
class VMEDeviceDummy : public I_VMEDevice {

  public:
    VMEDeviceDummy(I_ConfigTree &configTree, int VMEBaseAddress,
              int count, char space, int image, int bus);
    ~VMEDeviceDummy();

    void write(string offset, unsigned long valor)
        throw (CMSException);

    void read(string offset, unsigned long *valor)
        throw (CMSException);

  private:
    //VMEBus vmeController;
};

}

#endif
