/**
 *   File: i_i2cslave.cpp
 *
 *   Copyright (C) 2006 by J.M. 
 *   josemanuel.cela@ciemat.es
 */
#include "i_i2cslave.h"

namespace CiematCMS {

//**********************************************************
//*********** CONSTRUCTORES Y DESTRUCTORES **************
//**********************************************************
I_I2CSlave::I_I2CSlave(I_I2CMaster &master)
  : masterI2C(master) {
  slaveI2COwnAddress=0;
}

I_I2CSlave::~I_I2CSlave() {
}

//**********************************************************
//*********** MTODOS GET Y SET **************
//**********************************************************
void I_I2CSlave::setI2CSlaveAddress(unsigned char add){
  slaveI2COwnAddress= add;
}

unsigned char I_I2CSlave::getI2CSlaveAddress(void) const {
  return slaveI2COwnAddress;
}

}
